OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
MaskSeamLineVoxels< TreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
using | LeafNodeType = typename TreeType::LeafNodeType
using | BoolTreeType = typename TreeType::template ValueConverter< bool >::Type

## Public Member Functions
| MaskSeamLineVoxels (const std::vector< LeafNodeType *> &signFlagsLeafNodes, const TreeType &signFlagsTree, BoolTreeType &mask)
| MaskSeamLineVoxels (MaskSeamLineVoxels &rhs, tbb::split)
void | join (MaskSeamLineVoxels &rhs)
void | operator() (const tbb::blocked_range< size_t > &range)

## Member Typedef Documentation

## ◆ BoolTreeType

using BoolTreeType = typename TreeType::template ValueConverter<bool>::Type

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## Constructor & Destructor Documentation

## ◆ MaskSeamLineVoxels() [1/2]

MaskSeamLineVoxels | ( | const std::vector< LeafNodeType *> & | signFlagsLeafNodes,
|  | const TreeType & | signFlagsTree,
|  | BoolTreeType & | mask
| ) |  |
| inline

## ◆ MaskSeamLineVoxels() [2/2]

MaskSeamLineVoxels | ( | MaskSeamLineVoxels< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | MaskSeamLineVoxels< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h